package fr.iut.pm.movieapplication.ui.fragments

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.RecyclerView
import fr.iut.pm.movieapplication.R
import fr.iut.pm.movieapplication.ui.activity.MainActivity
import fr.iut.pm.movieapplication.ui.adapter.CategoryItemDecoration
import fr.iut.pm.movieapplication.ui.adapter.HomeItemAdapter
import fr.iut.pm.movieapplication.ui.adapter.HomeItemDecoration

class MoviesFragment(
    private val context : MainActivity
) : Fragment() {


    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        val view = inflater.inflate(R.layout.fragment_movies, container, false)

        //get the recycler view
        val moviesRecyclerView = view?.findViewById<RecyclerView>(R.id.movies_item_recycler_view)
        moviesRecyclerView?.adapter = HomeItemAdapter(context,R.layout.item_vertical_fragment)
        moviesRecyclerView?.layoutManager = GridLayoutManager(context, 2)
        moviesRecyclerView?.addItemDecoration(CategoryItemDecoration())


        return view
    }
}